This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 47abc639a47fa7fe7327b07c6556e28fc8c36f2b
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:48:18 2015 +0200
Change variable name from target_base to target_type
Better maps to the LAVA concept
Change-Id: I220635d04a92ac6126c5ac7cc0a73e93952a8527
---
invoke_session_debian | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 37502cb..e63ac92 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -109,12 +109,12 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | [...]
fi
#Generate configuration files for target
- target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
+ target_type="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
- sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.c [...]
+ sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_type}.c [...]
if test $? -ne 0; then echo "Failed to generate config file for target ${lava_na [...]
- cp "${ABE_DIR}/config/boards/bench/${target_base}.services" "${ABE_DIR}/config/b [...]
+ cp "${ABE_DIR}/config/boards/bench/${target_type}.services" "${ABE_DIR}/config/b [...]
if test $? -ne 0; then echo "Failed to generate services file for target ${lava_ [...]
#Add target to list for Benchmark.job
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit e6452e2da94194b462979794396894644ccfb97e
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:45:18 2015 +0200
Add a hint to user
Change-Id: Id6961ebb49cea8b840f897532ea125d1f203cf23
---
invoke_session_debian | 1 +
1 file changed, 1 insertion(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index 025d8d4..90d8cba 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -86,6 +86,7 @@ lava-network collect eth0
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
+echo "ssh -A ${ip_addr}.lab 'ln -sf \$SSH_AUTH_SOCK /root/data/socket && while tes [...]
while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
git pushed a change to branch hjl/pr66960/x86
in repository gcc.
at ba5e07a Add __builtin_stack_top
This branch includes the following new commits:
new ba5e07a Add __builtin_stack_top
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
git pushed a change to branch hjl/pr66960/generic
in repository gcc.
at 2ad19db Add __builtin_stack_top
This branch includes the following new commits:
new 2ad19db Add __builtin_stack_top
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new c6edd25 Check error code of Benchmark.job
c6edd25 is described below
commit c6edd25ab367c05be63e36777c2a950fe2cedf18
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 16:03:01 2015 +0200
Check error code of Benchmark.job
Change-Id: I6cdac421d99b6d64d1405f389d0638583ac3fe92
---
invoke_session_debian | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 5ad64ed..d176188 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -134,7 +134,12 @@ mkdir "${maindir}"
chmod 700 "${maindir}"
echo "Running benchmark... I may be some time"
-"${ABE_DIR}"/scripts/Benchmark.job
+if ! "${ABE_DIR}"/scripts/Benchmark.job; then
+ echo "Benchmark run failed" >&2
+ error=1
+ exit
+fi
+
echo "*** RESULTS READY"
while ! test -e ~/data/resultsgone; do
inotifywait -e create ~/data
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 2f115c3 Replace infinite sleep with 'results ready' message
new ccb4580 Replace infinite sleep with 'results ready' message
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (2f115c3)
\
N -- N -- N refs/heads/inserted_src (ccb4580)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 156a6cb005906da5750b36c5c25a0197b6cb3e73
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:49:29 2015 +0200
Remove LAVA-in-benchmarking-scripts env var
LAVA has been removed from scripts, env var isn't doing anything
Change-Id: I8893cec0c8307ab39088d4977414eec1cd56fbf1
---
invoke_session_debian | 1 -
1 file changed, 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 6809d37..4d41590 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -134,7 +134,6 @@ mkdir "${maindir}"
chmod 700 "${maindir}"
echo "Running benchmark... I may be some time"
-export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
echo "All done, waiting user"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.